Chat

Get chat messages

AuthBearer (JWT)
GroupChat
Rate limitSee Rate Limits
GET/api/chat/projects/{projectId}/chats/{chatId}/messages

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, ChatApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const chat = new ChatApi(configuration);
import { Configuration, ChatApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const chat = new ChatApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await chat.getChatMessages("proj_J3FxQk1m2GBe", "rnCpgXjHsNxeUZVS");
const { data: result } = await chat.getChatMessages("proj_J3FxQk1m2GBe", "rnCpgXjHsNxeUZVS");

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
projectIdstringYes
chatIdstringYes

Query Parameters

NameTypeRequiredDescription
pageintegerNo
limitintegerNo
beforestringNo
afterstringNo

Responses

200Messages list
json
{
  "success": true,
  "data": {
    "messages": [
      {
        "_id": "65a1b2c3d4e5f6789012345g",
        "content": "Hello everyone",
        "sender": {
          "_id": "65a1b2c3d4e5f6789012345",
          "firstName": "John"
        },
        "createdAt": "2024-01-15T10:00:00.000Z"
      }
    ],
    "total": 1
  }
}
{
  "success": true,
  "data": {
    "messages": [
      {
        "_id": "65a1b2c3d4e5f6789012345g",
        "content": "Hello everyone",
        "sender": {
          "_id": "65a1b2c3d4e5f6789012345",
          "firstName": "John"
        },
        "createdAt": "2024-01-15T10:00:00.000Z"
      }
    ],
    "total": 1
  }
}
401

Errors

CodeMeaning
401
Edit this page on GitHub